Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156351 - NetworkManager prevents dhclient from running.
Summary: NetworkManager prevents dhclient from running.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-29 07:35 UTC by David Woodhouse
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.6.x
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-01 02:48:18 UTC


Attachments (Terms of Use)

Description David Woodhouse 2005-04-29 07:35:21 UTC
While NetworkManager is running, dhclient on other interfaces fails:

       Listening on LPF/bnep0/00:0d:93:05:4a:3e
       Sending on   LPF/bnep0/00:0d:93:05:4a:3e
       Can't bind to dhcp address: Address already in use
       Please make sure there is no other dhcp server
       running and that there's no entry for dhcp or
       bootp in /etc/inetd.conf.   

NetworkManager should bind to the specific device which it wants to listen on,
in the same way that dhclient presumably does.

Comment 1 David Woodhouse 2005-04-29 07:39:51 UTC
(Alternatively, if NetworkManager were to manage the Bluetooth networking for me
so I don't have to bring it up manually with 'ifup bnep0', that would be
acceptable too :)


Comment 2 Dan Williams 2005-04-29 11:34:52 UTC
Hmm, it should be binding to a specific device, it should only bind to the
device that its done DHCP on.  Other devices have no open sockets on them for
DHCP, or should not...  probably a bug.

Comment 3 Dan Williams 2005-04-29 11:35:27 UTC
Note that right now I'm reworking the connection code to use dhcdbd+dhclient
anyway, so the internal DHCP client will go away quite soon (but not for FC4).

Comment 4 David Woodhouse 2005-06-30 09:26:46 UTC
Still happening in FC4 release. It's easy to trigger.... just let NetworkManager
run and then try to bring up some other interface... like 'ifup bnep0'...


Jun 30 10:21:17 shinybook kernel: Bluetooth: BNEP (Ethernet Emulation) ver 1.2
Jun 30 10:21:17 shinybook kernel: Bluetooth: BNEP filters: protocol multicast
Jun 30 10:21:17 shinybook pand[3047]: Bluetooth PAN daemon version 2.15
Jun 30 10:21:17 shinybook pand[3047]: Inquiring
Jun 30 10:21:30 shinybook pand[3047]: Searching for NAP on 00:0A:3A:62:BD:F2
Jun 30 10:21:36 shinybook hcid[1937]: pin_code_request (sba=00:0D:93:05:4A:3E,
dba=00:0A:3A:62:BD:F2)
Jun 30 10:21:52 shinybook hcid[1937]: link_key_notify (sba=00:0D:93:05:4A:3E)
Jun 30 10:21:52 shinybook hcid[1937]: Saving link key 00:0D:93:05:4A:3E
00:0A:3A:62:BD:F2
Jun 30 10:21:53 shinybook pand[3047]: Connecting to 00:0A:3A:62:BD:F2
Jun 30 10:21:53 shinybook pand[3047]: bnep0 connected
Jun 30 10:21:55 shinybook dhclient: Can't bind to dhcp address: Address already
in use
Jun 30 10:21:55 shinybook dhclient: Please make sure there is no other dhcp server
Jun 30 10:21:55 shinybook dhclient: running and that there's no entry for dhcp or
Jun 30 10:21:55 shinybook dhclient: bootp in /etc/inetd.conf.   Also make sure you
Jun 30 10:21:55 shinybook dhclient: are not running HP JetAdmin software, which
Jun 30 10:21:55 shinybook dhclient: includes a bootp server.
Jun 30 10:21:55 shinybook dhclient: exiting.



Comment 5 David Woodhouse 2005-10-09 20:25:36 UTC
This is still causing dhcp to fail on FC4.

Comment 6 Dan Williams 2007-11-01 02:48:18 UTC
way old, fixed in FC5 I'm pretty sure (with dhcdbd)


Note You need to log in before you can comment on or make changes to this bug.